Subject: linux-libre 4.18.9: shpchp is no longer a module (now: built-in)
From: Nils Gillmann <[email-masked]>
To: [email-masked]
Date: Tue, 25 Sep 2018 19:57:20 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

at taler we need shpchp as a module in the initrd.

Before version 4.18.x, shpchp was a module we've build in guix' linux-libre,
you were able to just specify it for the initrd.

With 4.18.9, this module became a compile-in/built-in (see linux
commit log).  I want to avoid maintaining yet another kernel
definition for future complications if I can.  Can we get this module
built in by default?

I consider it a bug as the functionality was given before and
disappeared now, leaving our system unable to upgrade unless I write
some code around it.

Thanks.